

"-1" = "Unknown Error";
"1" = "The appcast URL for this stack couldn't be found.";
"2" = "An unknown networking error occurred.";
"100" = "The SOCKS proxy server rejected access.";
"101" = "The version of SOCKS proxy service is not supported by the server.";


"110" = "Proxy server error: Request rejected or failed by the server.";
"111" = "Proxy server error: Request rejected because SOCKS server cannot connect.";
"112" = "Proxy server error: Request rejected because the client program and identd report different user-ids.";
"113" = "Proxy server error: Unknown error.";

"120" = "Networking error: The stream is not in a state that allows the requested operation.";
"121" = "Networking error: The address type returned is not supported.";
"122" = "Networking error: The SOCKS server refused the client connection because of bad login credentials.";
"123" = "Networking error: The requested method is not supported.";
"124" = "Networking error: The client and server could not find a mutually agreeable authentication method.";

"200" = "Networking error: The server returned an unexpected status code.";

"300" = "Networking error: The client and server could not agree on a supported authentication type.";
"301" = "Networking error: The credentials provided were rejected by the server.";
"302" = "Networking error: The connection to the server was dropped. This usually indicates a highly overloaded server.";
"303" = "Networking error: The HTTP server response could not be parsed.";
"304" = "Networking error: Too many HTTP redirects occurred before reaching a page that did not redirect the client to another page. This usually indicates a redirect loop.";
"305" = "Networking error: The requested URL could not be retrieved.";
"306" = "Networking error: A connection could not be established to the HTTP proxy.";
"307" = "Networking error: The authentication credentials provided for logging into the proxy were rejected.";
"308" = "Networking error: An error occurred with the proxy autoconfiguration file.";
"309" = "Networking error: The authentication credentials provided by the proxy autoconfiguration file were rejected.";
"310" = "Networking error: A connection could not be established to the HTTPS proxy.";
"311" = "Networking error: The HTTPS proxy returned an unexpected status code.";

"-998" = "Networking connection error: An unknown error occurred.";
"-999" = "Networking connection error: The connection was cancelled.";
"-1000" = "Networking connection error: The connection failed due to a malformed URL.";
"-1001" = "Networking connection error: The connection timed out.";
"-1002" = "Networking connection error: The connection failed due to an unsupported URL scheme.";
"-1003" = "Networking connection error: The connection failed because the host could not be found.";
"-1004" = "Networking connection error: The connection failed because a connection cannot be made to the host.";
"-1005" = "Networking connection error: The connection failed because the network connection was lost.";
"-1006" = "Networking connection error: The connection failed because the DNS lookup failed.";
"-1007" = "Networking connection error: The HTTP connection failed due to too many redirects.";
"-1008" = "Networking connection error: The connection’s resource is unavailable.";
"-1009" = "Networking connection error: The connection failed because the device is not connected to the internet.";
"-1010" = "Networking connection error: The connection was redirected to a nonexistent location.";
"-1011" = "Networking connection error: The connection received an invalid server response.";
"-1012" = "Networking connection error: The connection failed because the user cancelled required authentication.";
"-1013" = "Networking connection error: The connection failed because authentication is required.";
"-1014" = "Networking connection error: The resource retrieved by the connection is zero bytes.";
"-1015" = "Networking connection error: The connection cannot decode data encoded with a known content encoding.";
"-1016" = "Networking connection error: The connection cannot decode data encoded with an unknown content encoding.";
"-1017" = "Networking connection error: The connection cannot parse the server’s response.";
"-1018" = "Networking connection error: The connection failed because international roaming is disabled on the device.";
"-1019" = "Networking connection error: The connection failed because a call is active.";
"-1020" = "Networking connection error: The connection failed because data use is currently not allowed on the device. ";
"-1021" = "Networking connection error: The connection failed because its request’s body stream was exhausted.";

"-1100" = "Download error: Download server says the requested download file does not exist.";
"-1101" = "Download error: Download server says the requested download file is a directory.";
"-1102" = "Download error: Download server says you do not have permission to download the file.";
"-1103" = "Download error: Download server says the requested download file is too large.";

"-1200" = "Networking security error: The secure connection failed for an unknown reason.";
"-1201" = "Networking security error: The secure connection failed because the server’s certificate has an invalid date.";
"-1202" = "Networking security error: The secure connection failed because the server’s certificate is not trusted.";
"-1203" = "Networking security error: The secure connection failed because the server’s certificate has an unknown root.";
"-1204" = "Networking security error: The secure connection failed because the server’s certificate is not yet valid.";
"-1205" = "Networking security error: The secure connection failed because the client’s certificate was rejected.";
"-1206" = "Networking security error: The secure connection failed because the server requires a client certificate.";

"-2000" = "Networking stream error: The connection failed because it is being required to return a cached resource, but one is not available.";
"-3000" = "Networking stream error: The file cannot be created.";
"-3001" = "Networking stream error: The file cannot be opened.";
"-3002" = "Networking stream error: The file cannot be closed.";
"-3003" = "Networking stream error: The file cannot be written.";
"-3004" = "Networking stream error: The file cannot be removed.";
"-3005" = "Networking stream error: The file cannot be moved.";
"-3006" = "Networking stream error: The download failed because decoding of the downloaded data failed mid-stream.";
"-3007" = "Networking stream error: The download failed because decoding of the downloaded data failed to complete.";

"-4000" = "Cookie error: The cookie file cannot be parsed. CFNetServices Errors";

"-72000L" = "Updater error:  An unknown error occurred.";
"-72001L" = "Updater error:  An attempt was made to use a name that is already in use.";
"-72002L" = "Updater error:  Unknown.";
"-72003L" = "Updater error:  A new search could not be started because a search is already in progress.";
"-72004L" = "Updater error:  A required argument was not provided or was not valid.";
"-72005L" = "Updater error:  The search or service was cancelled.";
"-72006L" = "Updater error:  Invalid data was passed to a CFNetServices function.";
"-72007L" = "Updater error:  A search failed because it timed out.";
"-73000L" = "Updater error:  An error from DNS discovery";
